classification
Title: Sync importlib_metadata enhancements through 3.7.
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jaraco Nosy List: jaraco
Priority: normal Keywords: patch

Created on 2021-03-07 22:54 by jaraco, last changed 2021-03-16 00:12 by jaraco. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24782 merged jaraco, 2021-03-07 23:55
PR 24858 merged jaraco, 2021-03-14 15:24
Messages (3)
msg388250 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-03-07 22:54
importlib metadata has added a few important [changes](https://importlib-metadata.readthedocs.io/en/latest/history.html#v3-7-0) since the last sync in issue42382 (importlib_metadata 3.3):

- Performance enhancements to distribution discovery.
- `entry_points` only returns unique distributions.
- Introduces new ``EntryPoints`` object for containing a set of entry points with convenience methods for selecting entry points by group or name.
- Added packages_distributions function to return a mapping of packages to the distributions that provide them.
msg388629 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-03-13 16:31
New changeset f917efccf8d5aa2b8315d2a832a520339e668187 by Jason R. Coombs in branch 'master':
bpo-43428: Sync with importlib_metadata 3.7. (GH-24782)
https://github.com/python/cpython/commit/f917efccf8d5aa2b8315d2a832a520339e668187
msg388701 - (view) Author: Jason R. Coombs (jaraco) * (Python committer) Date: 2021-03-15 02:20
New changeset 35d5068928ab5485e5f28b60b1e33062bc2c46cc by Jason R. Coombs in branch 'master':
bpo-43428: Improve documentation for importlib.metadata changes. (GH-24858)
https://github.com/python/cpython/commit/35d5068928ab5485e5f28b60b1e33062bc2c46cc
History
Date User Action Args
2021-03-16 00:12:30jaracosetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-03-15 02:20:58jaracosetmessages: + msg388701
2021-03-14 15:24:52jaracosetpull_requests: + pull_request23618
2021-03-13 16:31:59jaracosetmessages: + msg388629
2021-03-07 23:55:47jaracosetkeywords: + patch
stage: patch review
pull_requests: + pull_request23548
2021-03-07 22:54:27jaracocreate